Bug 1303983 - dnf repoclosure needs an arch flag
dnf repoclosure needs an arch flag
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: rel-eng-dnf
  Show dependency treegraph
 
Reported: 2016-02-02 10:42 EST by Dennis Gilmore
Modified: 2016-07-22 05:05 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 05:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2016-02-02 10:42:24 EST
Description of problem:
yum's repoclosure has 

-a ARCH, --arch=ARCH  check packages of the given archs, can be specified
                        multiple times (default: current arch)

In release engineering we make extensive use of this and need the same flags for "dnf repoclosure"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Parag Nemade 2016-02-02 10:54:59 EST
repoclosure is installed by dnf-plugins-extras package.
Comment 2 Honza Silhan 2016-02-03 07:58:36 EST
With this PR [1] in DNF it should be possible to change the architecture in documented way.

[1] https://github.com/rpm-software-management/dnf/pull/435
Comment 3 Jaroslav Mracek 2016-02-15 04:31:47 EST
Please could you provide an example how it was used by yum and how you would like to use it with dnf that I can reproduce. I am going to work on it and I need an example for testing if it works like you would like to.
Comment 4 Fedora Release Engineering 2016-02-15 08:00:15 EST
/usr/bin/repoclosure --arch=armv7hnl --arch=armv7hl --arch=armv6hl --arch=noarch --repofrompath=repoclosure-Everything.armhfp,file:///mnt/koji/compose/rawhide/Fedora-24-20160209.n.0/compose/Everything/armhfp/os --repoid=repoclosure-Everything.armhfp

/usr/bin/repoclosure --arch=x86_64 --arch=athlon --arch=i686 --arch=i586 --arch=i486 --arch=i386 --arch=noarch --repofrompath=repoclosure-Everything.x86_64,file:///mnt/koji/compose/rawhide/Fedora-24-20160209.n.0/compose/Everything/x86_64/os --repoid=repoclosure-Everything.x86_64

/usr/bin/repoclosure --arch=athlon --arch=i686 --arch=i586 --arch=i486 --arch=i386 --arch=noarch --repofrompath=repoclosure-Everything.i386,file:///mnt/koji/compose/rawhide/Fedora-24-20160209.n.0/compose/Everything/i386/os --repoid=repoclosure-Everything.i386
Comment 5 Jan Kurik 2016-02-24 09:23:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Jaroslav Mracek 2016-03-01 06:29:05 EST
A made a pull-request https://github.com/rpm-software-management/dnf-plugins-extras/pull/54 that introduce --arch option. It has to just pass testing phase.
Comment 7 Mike McCune 2016-03-28 18:42:18 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 8 Igor Gnatenko 2016-04-01 11:03:49 EDT
Patch has been merged. Will do a release during next week.

Jaroslav, thanks for contribution.
Comment 9 Fedora Admin XMLRPC Client 2016-07-21 08:41:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Igor Gnatenko 2016-07-22 05:05:56 EDT
Fixed as part of DNF 2.0 release which will be available at some point soon.

Note You need to log in before you can comment on or make changes to this bug.